Skip navigation

Classic iPod does not appear compatible with newer iMac.

184 Views 0 Replies Latest reply: Jan 18, 2013 5:34 PM by Mair Gill RSS
Mair Gill Calculating status...
Currently Being Moderated
Jan 18, 2013 5:34 PM

I have a fairly new iMac with iTunes. I am trying to sync an older version iPod Classic to iTunes on my iMac.  Everytime I plug into the iPod USB port, I get a warning window that states: Because a USB device was drawing too much power from your computer, one or more of your USB devices have been disabled.

 

I then need to select OK.  I don't have any other USB ports connected.  And I am unable to sync the iPod.

I have all the latest and greatest updates, versions, etc.  Are the older iPods just not compatible with iMac?

Thanks to anyone who can help.

Mair

iPod classic

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.